import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class MyAccountService {
    private http;
    constructor(http: HttpClient);
    setOrderNumber(orderNumber: string): void;
    getOrderNumber(): string | null;
    getInvoicesCreditList(data?: any, currentPage?: any): Observable<any>;
    sortInvoiceCredit(data: any, reqPayload: any): Observable<any>;
    getInvoiceCreditStatuses(): Observable<any>;
    getInvoiceCreditSearchResults(data: any, currentPage?: any): Observable<any>;
    getStatementsList(data: any, currentPage?: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MyAccountService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MyAccountService>;
}
